package sharin.doc.builder.xhtml1;

public class FormElem extends GenericCommonElem<FormElem> {

    public FormElem(Object... nodes) {
        super("form", nodes);
    }

    public FormElem accept(Object value) {
        return attr("accept", value);
    }

    public FormElem acceptcharset(Object value) {
        return attr("acceptcharset", value);
    }

    public FormElem action(Object value) {
        return attr("action", value);
    }

    public FormElem enctype(Object value) {
        return attr("enctype", value);
    }

    public FormElem method(Object value) {
        return attr("method", value);
    }

    public FormElem methodGet() {
        return method("get");
    }

    public FormElem methodPost() {
        return method("post");
    }

    public FormElem name(Object value) {
        return attr("name", value);
    }

    public FormElem onreset(Object value) {
        return attr("onreset", value);
    }

    public FormElem onsubmit(Object value) {
        return attr("onsubmit", value);
    }

    public FormElem target(Object value) {
        return attr("target", value);
    }
}
